Neucertbro für Linux

Open-Source-CLI für TLS-Automatisierung, DNS-DCV und automatische Verlängerungen.

certbro ansehen
regfish
DNS API-Referenz
v1.6.2
OpenAPI herunterladen
Update DNS record
Update a DNS record and automatically detect the record based on the name and type specified in the parameters. If you want to update the name or type attribute, please refer to the PATCH /dns/rr/{rrid} endpoint.
PATCH
/dns/rr
ResourceRecords

Authentifizierung

x-api-keyapplication/json

Request Body

application/jsonPflicht
Data object for the record
recordRequestFQDN
recordRequestFQDN
{
  "type": "A",
  "name": "www.example.com.",
  "data": "12.12.12.12"
}

Felder

Name
Typ
Format
Pflicht
Description
type
A
string
Pflicht
name
string
Pflicht
Fully Qualified Domain Name (FQDN, ending with a period).
ttl
integer
Optional
Time To Live (60-604800)
annotation
string
Optional
A custom note for this particular record.
data
string
Pflicht

Request-Beispiel

PATCH
curl --request PATCH \
  --url 'https://api.regfish.com/dns/rr' \
  --header 'x-api-key: YOUR_API_KEY' \
  --header 'content-type: application/json' \
  --data '{
  "type": "A",
  "name": "www.example.com.",
  "data": "12.12.12.12"
}'

Responses

200
The record corresponding to the provided `name`/`type` combination
application/jsonrecordResponse
Response-Beispiel 200
{
  "success": true,
  "code": 0,
  "response": {
    "type": "A",
    "name": "www.example.com.",
    "data": "12.12.12.12",
    "id": 1,
    "auto": true,
    "active": true,
    "ts_created": 1,
    "ts_updated": 1
  }
}
400
Invalid request
application/jsonError
Response-Beispiel 400
{
  "success": false,
  "message": "Invalid request",
  "error": "Invalid request"
}
401
Unauthorized
application/jsonError
Response-Beispiel 401
{
  "success": false,
  "message": "Unauthorized",
  "error": "Unauthorized"
}
404
No record found for the provided `name`/`type` combination
application/jsonError
Response-Beispiel 404
{
  "success": false,
  "message": "No record found for the provided `name`/`type` combination",
  "error": "No record found for the provided `name`/`type` combination"
}
417
DNS record update violates a zone constraint
application/jsonError
Response-Beispiel 417
{
  "success": false,
  "message": "DNS record update violates a zone constraint",
  "error": "DNS record update violates a zone constraint"
}
500
Unexpected error
application/jsonError
Response-Beispiel 500
{
  "success": false,
  "message": "Unexpected error",
  "error": "Unexpected error"
}
Verwandte Modelle
Community

Werde ein Teil der Community

Das DNS API von Regfish ist die perfekte Lösung für Entwickler, die ihre Domains und DNS-Zonen automatisieren möchten. Werde Teil der Community und profitiere von den Vorteilen der DNS-Automatisierung. Das DNS API steht jedem Regfish-Kunden kostenlos zur Verfügung.

Warenkorb
 
Summe
0,00 €
Alle Preise inkl. MwSt.
Wir verwenden Cookies, um dir das bestmögliche Erlebnis zu präsentieren. Wähle deine Präferenzen für den Umgang mit Cookies. Datenschutzerklärung